<?php

//////////////////////////////////////////////////////////////
//===========================================================
// backup_plans_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 2.8.1
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Husain	
// Date:       10th Nov 2015
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function backup_plans_theme(){

global $theme, $globals, $kernel, $user, $l, $backup_plans, $error, $done;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-clipboard"></i> '.$l['backup_plans_tit'].'</h4>
</div>
<div class="col-2 text-right">
<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
</div>
</div>
';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[

function go_click(ele) {
	
	var backup_list = new Array();
	
	$(".ios:checked").each(function() {
		backup_list.push($(this).val());
	});
	
	if(backup_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	var action = $(ele).parent().prev().find("select").val();
	
	if(action == 1) {
		change_backup_plan(backup_list, "enable");
	} else if(action == 2) {
		change_backup_plan(backup_list, "disable");
	} else if(action == 3) {
		Delbackup_plans(backup_list);
	} else {
		showalert("'.$l['no_action'].'","1");
		return false;
	}
	
}

function change_backup_plan(backup_list, action) {
	
	var finalData = new Object();
	
	finalData["bpids"] = backup_list.join(",");
	finalData["action"] = action;
	
	$("#progress_bar").show();
	
	$.ajax({
		type: "POST",
		url: "'.$globals['index'].'act=backup_plans&api=json",
		data : finalData,
		dataType : "json",
		success: function(data){
			$("#progress_bar").hide();
			if("done" in data){
				showalert("'.$l['action_completed'].'");
				$("#alert-modal").on("hidden.bs.modal", function (e) {
				location.reload(true);
				});
			}
		},
		error: function(data) {
			$("#progress_bar").hide();
			return false;
		}
	});
	
}

function Delbackup_plans(backup_list){
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = backup_list.join(",");

			//alert(finalData);
			//return false;
			
			$("#progress_bar").show();
			
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=backup_plans&api=json",
				data : finalData,
				dataType : "json",
				success: function(data){
					$("#progress_bar").hide();
					if("done" in data){
						setTimeout(function(){showalert("'.$l['action_completed'].'");
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
					}
				},
				error: function(data) {
					$("#progress_bar").hide();
					//alert(data.description);
					return false;
				}
			});
		}
	});
	
	
	
	
	return false;
};

// ]]></script>

<div id="showsearch" class="my-1" style="display:'.(optREQ('search') || (!empty($backup_plans) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="backup_plans" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="backup_plans">
		
<div class="form-group_head">
  	<div class="row mx-auto w-100">
		<div class="col-sm-4"></div>
		<div class="col-sm-4"><label>'.$l['bp_name'].'</label><input type="text" class="form-control" name="planname" id="planname" size="30" value="'.REQval('planname','').'"/></div>
		</div>
		</div>
	<div class="row mx-auto w-100 my-2">
		<div class="col-sm-12 text-center mb-3"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
	</div>
</form>
</div>';

if($done){
	show_alert($l['saved']);
	//echo '<div class="notice"><b>NOTE : </b> '..'</div><br />';
}
if(empty($backup_plans)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_plans'], "2");
	echo '<div class="notice"><b>NOTE : </b> '.(optREQ('search') ? $l['no_res'] : $l['no_plans']).'</div>';
}else{

echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="backup_task_select" id="backup_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_enable'].'</option>
						<option value="2">'.$l['ms_disable'].'</option>
						<option value="3">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="backup_submit" class="go_btn" name="backup_submit" value="'.$l['go'].'" onclick="go_click(this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_dns" id="multi_dns" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter">
<tr>
	<th class="min_width" align="center">'.$l['bpid'].'</th>
	<th align="center">'.$l['bp_name'].'</th>
	<th align="center">'.$l['backup_server'].'</th>
	<th align="center">'.$l['frequency'].'</th>
	<th align="center">'.$l['dir'].'</th>
	<th align="center" class="min_width">'.$l['backup_primary'].'</th>
	<th align="center" class="min_width">'.$l['disabled'].'</th>
	<th colspan="2" width="10" class="min_width">'.$l['manage'].'</th>
	<th class="min_width z-index-1" align="center">
		'.get_checkbox('select_all', $l['checkall'], 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';
$i = 0;
foreach($backup_plans as $k => $v){
	
	$data = json_decode($v['data'], true);

	echo '<tr>
		<td>'.$v['bpid'].'</td>
		<td>'.$v['plan_name'].'</td>
		<td>'.$v['backup_server'].'</td>
		<td>'.$v['frequency'].'</td>
		<td>'.$v['dir'].'</td>
		<td align="center"><i class="fas fa-circle '.(empty($data['backup_primary']) ? "fa-circle-red" : "fa-circle-green").'" title="'.(empty($data['backup_primary']) ? $l['backup_primary_disabled'] : $l['backup_primary_enabled']).'"></i></td>
		<td align="center">'.(empty($v['disabled']) ? $l['no'] : $l['yes']).'</td>
		<td align="center" width="10"><a href="?act=editbackup_plan&bpid='.$v['bpid'].'" title="Edit"><i class="fas fa-edit text-warning"></i></a></td>	
		<td align="center" width="10"><a href="javascript:void(0);" onclick="return Delbackup_plans(['.$k.']);" title="Delete"><i class="fas fa-trash text-danger"></i></td>
		<td width="20" valign="middle" align="center">
			'.get_checkbox('backup_list[]', '', '', array('chk_it' => 0), $k).'
		</td>
	</tr>';
$i++;	
}
echo '</table>
</div>';
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="backup_task_select" id="backup_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_enable'].'</option>
						<option value="2">'.$l['ms_disable'].'</option>
						<option value="3">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="backup_submit" class="go_btn" name="backup_submit" value="'.$l['go'].'" onclick="go_click(this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>

<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>';

}

echo '<center><a href="'.$globals['ind'].'act=addbackup_plan" class="link_btn">'.$l['add_backup_plan'].'</a>
</center></div><br>


';
softfooter();

}
?>