<?php

//////////////////////////////////////////////////////////////
//===========================================================
// ftpservers_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Julien
// Date:       19th July 2012
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function backupservers_theme(){

global $theme, $globals, $kernel, $user, $l, $backupservers, $error, $done, $done_test, $request_test;

softheader($l['<title>']);

if(!empty($request_test)){
	echo $done_test;
	return true;
}

echo '
<div class="bg" >
<div class="row mx-auto my-3">
<div class="col-10">
<h4 class="text-dark"><i class="icon icon-servers"></i> '.$l['plans_tit'].'</h4>
</div>
<div class="col-2 text-right">
<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
</div>
</div>';

error_handle($error);

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[



function Delbservers(bid ,ele){

	bid = bid || 0;
	
	// List of ids to delete
	var bserver_list = new Array();
	
	if(bid < 1){
		
		if($(ele).parent().prev().find("select").val() != 1){
			showalert("'.$l['no_action'].'","1");
			return false;
		}
		
		$(".ios:checked").each(function() {
			bserver_list.push($(this).val());
		});
		
	}else{
		
		bserver_list.push(bid);
		
	}
	
	if(bserver_list.length < 1){
		showalert("'.$l['nothing_selected'].'","1");
		return false;
	}
	
	showalert("'.$l['del_conf'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			var finalData = new Object();
			finalData["delete"] = bserver_list.join(",");

			//alert(finalData);
			//return false;

			$("#progress_bar").show();

			$.ajax({
			type: "POST",
			url: "'.$globals['index'].'act=backupservers&api=json",
			data : finalData,
			dataType : "json",
			success: function(data){
				$("#progress_bar").hide();
				if("done" in data){
					setTimeout(function(){showalert("'.$l['action_completed'].'");
					$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
					});} ,200);		
				}
				if("error" in data){
					setTimeout(function(){showalert(data["error"],"1");} ,200);
				}
				
			},
			error: function(data) {
				$("#progress_bar").hide();
				//alert(data.description);
				return false;
			}
			});
		}
	});
	
	
	
	
	return false;
};

$(document).ready(function(){
	$(".test-button").each(function(index){
		$(this).click(function(){	
			var parent = $(this).parent();
			var id =  parent.attr("id");
			$(this).find("img").attr("src", "'.$theme['images'].'progress_bar.gif");
			$.post("'.$globals['index'].'act=backupservers&jsnohf=1&test="+id, function(data){
				if(data == "1"){
					$(".backupserver-test").find("img").attr("src", "'.$theme['images'].'admin/connection.png");
					showalert("'.$l['success_connect'].'");
				}
				else{
					$(".backupserver-test").find("img").attr("src", "'.$theme['images'].'admin/connection.png");
					showalert("'.$l['unable_connect'].'","1");
				}
			});
			
			return false;
		});
	});
});

// ]]></script>

<div id="showsearch" class="mt-3" style="display:'.(optREQ('search') || (!empty($backupservers) && !empty($globals['showsearch'])) ? "" : "none").';">
<form accept-charset="'.$globals['charset'].'" name="bservers" method="GET" action="" class="form-horizontal">
<input type="hidden" name="act" value="backupservers">
		
<div class="form-group_head">
  <div class="row mx-auto w-100">
		<div class="col-sm-4"><label>'.$l['sbyname'].'</label>
		<input type="text" class="form-control" name="name" id="name" size="30" value="'.REQval('name','').'"/></div>
		<div class="col-sm-4"><label>'.$l['sbyhostname'].'</label>
		<input type="text" class="form-control" name="hostname" id="hostname" size="30" value="'.REQval('hostname','').'"/></div>
		<div class="col-sm-4"><label>'.$l['sbytype'].'</label>
		<input type="text" class="form-control" name="type" id="type" size="30" value="'.REQval('type','').'"/></div>
	</div>
	<div class="row mx-auto w-100 my-2">
	<div class="col-sm-12 text-center"><button type="submit" name="search" class="go_btn mt-2" value="Search"/>'.$l['submit'].'</button></div>
	</div>
</div>
</form>
</div>';

if(!empty($done)){
	show_alert($l['saved']);
	//echo '<div class="notice"><b>NOTE : </b>&nbsp; '..'</div>';
}

if(empty($backupservers)){
	optREQ('search') ? show_alert($l['no_res'], "2") : show_alert($l['no_backupservers'], "2");
	echo '<div class="notice"><b>NOTE : </b>&nbsp; '.(optREQ('search') ? $l['no_res'] : $l['no_backupservers']).'</div>';
	
}else{
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="bserver_task_select" id="bserver_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="bserver_submit" class="go_btn" name="bserver_submit" value="'.$l['go'].'" onclick="Delbservers(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<form accept-charset="'.$globals['charset'].'" name="multi_bserver" id="multi_bserver" method="post" action="" class="form-horizontal">
<div class="w-100 mx-auto sticky">
<table class="table table-hover tablesorter">
<tr>
	<th class="min_width" align="center">'.$l['id'].'</th>
	<th align="center">'.$l['name'].'</th>
	<th class="min_width" align="center">'.$l['type'].'</th>
	<th align="center">'.$l['hostname'].'</th>
	<th align="center">'.$l['username'].'</th>
	<th class="min_width" align="center">'.$l['port'].'</th>
	<th class="min_width" align="center">'.$l['test'].'</th>
	<th class="min_width" colspan="2">'.$l['manage'].'</th>
	<th class="min_width z-index-1">
		'.get_checkbox('select_all', $l['checkall'], 'select_all', array('chk_it' => 0), '', 'select_all').'
	</th>
</tr>';
$i = 1;
foreach($backupservers as $k => $v){
	echo '<tr>
		<td>'.$v['bid'].'</td>
		<td>'.$v['name'].'</td>
		<td >'.$v['type'].'</td>
		<td>'.$v['hostname'].'</td>
		<td>'.$v['username'].'</td>
		<td>'.$v['port'].'</td>
		<td class="backupserver-test manage-ico cursor-pointer" id="'.$v['bid'].'"><a class="test-button" title="'.$l['test_con'].'"><img src="'.$theme['images'].'admin/connection.png" width="20" /></a></td>
		<td class="text-center min_width"><a href="?act=editbackupserver&id='.$v['bid'].'" title="Edit"><h6><i class="fas fa-edit text-warning"></i></h6></a></td>
		<td class="text-center min_width"><a href="javascript:void(0);" onclick="return Delbservers('.$k.');" title="'.$l['delete'].'"><h6><i class="fas fa-trash text-danger"></i></h6></a></td>
		<td width="20" valign="middle" align="center">
			'.get_checkbox('backupserver_list[]', '', '', array('chk_it' => 0), $k).'
		</td>
		</tr>';
	$i++;
}
echo '</table>
</div>';
echo'<div class="row mx-auto w-100 mt-3">
	<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
		page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
	echo'
	</div>
	<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3">
		<div class="bottom-menu float-right w-100">
            <div class="row my-auto">
                <div class="p-0">
                    <label>'.$l['with_selected'].'</label>
                </div>
                <div class="col p-0">
					<select class="custom-select" name="bserver_task_select" id="bserver_task_select">
						<option value="0">---</option>
						<option value="1">'.$l['ms_delete'].'</option>
					</select>
                </div>
                <div class="pl-2">
					<input type="submit" id ="bserver_submit" class="go_btn" name="bserver_submit" value="'.$l['go'].'" onclick="Delbservers(0 ,this); return false;">
                </div>
            </div>
		</div>
	</div>
</div>
<div id="progress_bar" style="display:none;">
	<br />
	<center>
		<font id="progress_txt" size="4" color="#222222">'.$l['action_msg'].'</font>
	</center>
	<div class="my-2" align="center">
		<div class="progress w-50">
			<div class="progress-bar bg-primary progress-bar-striped progress-bar-animated w-100">
			</div>
		</div>
	</div>
	<center>
		'.$l['notify_msg'].'
	</center>
</div>

';

}

echo '<center><input type="button" value="'.$l['add_backupserver'].'" class="link_btn" onclick="window.location =\''.$globals['ind'].'act=addbackupserver\';">
</center></div><br>
';

softfooter();



}
?>
