<?php

//////////////////////////////////////////////////////////////
//===========================================================
// config_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function config_theme(){

global $theme, $globals, $info, $kernel, $user, $l, $error, $langs, $skins, $done, $cluster, $virt, $centos5, $val, $master, $servers, $timezones, $valid_compression;

softheader($l['<title>']);

echo '<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		if(value==""){
			//alert(4)
			$(".divroundshad").show();
			$(".roundheader").show();
		}else{
			$(".roundheader").hide();
		}
		
		$(".divroundshad .row").filter(function() {
		  $(this).toggle($(this).first().text().toLowerCase().indexOf(value) > -1 || $(this).parent(".px-3").parent(".divroundshad").find(".roundheader").text().toLowerCase().indexOf(value) > -1);
		  if($(this).first().text().toLowerCase().indexOf(value) > -1 || $(this).parent(".px-3").parent(".divroundshad").find(".roundheader").text().toLowerCase().indexOf(value) > -1){
			$(this).parent(".px-3").parent(".divroundshad").find(".roundheader").show();
			$(this).parent(".divroundshad").show();   
		  }
		});
	});
});
</script>
<div class="bg">
<div class="row mx-auto my-2">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-wrench"></i>'.(!empty($master)? 'Master ' : 'Slave ').$l['heading'].'</h4>
	</div>
</div>';

error_handle($error);

if(!$master) {
	echo '<br><div class = "row mx-auto w-100">
			<div class = "col-sm-6"><label class="control-label"><br></label><input id="myInput" class="form-control" type="text" placeholder="'.$l['search'].'"></div><div class="col-sm-6 ">';
			server_select();
	echo '</div></div>';
}else{
	echo '<div class = "row mx-auto w-100">
			<div class="col-sm-12 "><label class="control-label"><br></label><input id="myInput" class="form-control" type="text" placeholder="'.$l['search'].'"></div></div>';
}

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	
	show_alert($l['server_status_'.$hypervisor_status],"1");
	echo '<div class="e_notice"><b>NOTE : </b>&nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><b>NOTE : </b>&nbsp; '..'</div>';
}

if($master){
	echo '<div class="notebox w-100">'.$l['master_setting_note'].'</div>';
}else{
	echo '<div class="notebox w-100">'.$l['slave_setting_note'].'</div>';
}

echo '
<style>
.side_lbl{
	padding:10px;
}
</style>

<script language="javascript" type="text/javascript"><!-- // --><![CDATA[
	
	function reset_hash(){
		
		$("#resethash").attr("src", "'.$theme['images'].'admin/vpsloading.gif");
		
		$.ajax({
			type: "POST",
			url: "'.$globals['ind'].'act=config&reset_cb_hash=1&api=json",
			dataType : "json",
			success:function(response){
				if("new_hash" in response){
					$("#cb_hash").html(response["new_hash"]);
				}
				$("#resethash").attr("src", "'.$theme['images'].'refresh.png");
			},
			error:function(){
				$("#resethash").attr("src", "'.$theme['images'].'refresh.png");
			}
		});
		return;
	}
	
	$(document).ready(function(){
		
		$("#haproxy_src_ips").on("change", function(){
			showalert("'.$l['haproxy_src_ips_change'].'","2");
		});

		$(".chosen").select2({width: "100%"});
		if($("#enable_backup_delete").prop("checked")){
			$("#enable_backup_delete_cron").slideDown();
		}
		$("#enable_backup_delete").click(function(){
			$("#enable_backup_delete_cron").slideToggle();
		});

	});
// ]]></script>

<form accept-charset="'.$globals['charset'].'" action="" method="post" name="config" class="form-horizontal">
<div class="row mx-auto w-100 my-3">
	<div class="col-sm-12 col-md-12 col-lg-6 border-right">
		<div  class="divroundshad">
			<div class="roundheader">'.$l['gen_set'].'</div>
			<div class="px-3">
			';

			if($master){
				
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['sitename'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sitename_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="sn" id="sitename" size="30" value="'.POSTval('sn', $info['sn']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['master_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['master_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="master_name" id="master_name" size="30" value="'.POSTval('master_name', $info['master_name']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['site_domain'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['site_domain_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="site_domain" size="30" value="'.POSTval('site_domain', $info['site_domain']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['logo_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['logo_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="logo_url" size="30" value="'.POSTval('logo_url', $info['logo_url']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['admin_mob_logo_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['admin_mob_logo_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="admin_mob_logo_url" size="30" value="'.POSTval('admin_mob_logo_url', $info['admin_mob_logo_url']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['logo_login_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['logo_login_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="logo_login_url" size="30" value="'.POSTval('logo_login_url', $info['logo_login_url']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['favicon_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['favicon_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="favicon_url" size="30" value="'.POSTval('favicon_url', $info['favicon_url']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">		
					<label class="control-label">'.$l['support'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['support_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="support" size="30" value="'.POSTval('support', $info['support']).'"/> 
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['copy_right'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['copy_right_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="copyright" id="copyright" size="30" value="'.POSTval('copyright', @$info['copyright']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['comp_output'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['comp_output_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-sm-6 p-0">
					'.get_checkbox('gzip', '', '', array('chk_it' => 1, 'val' => $info['gzip'])).'
				</div>
			</div>';
			}

			if(empty($master)){
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['cookie_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cook_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="cookie_name" id="cookie_name" size="30" value="'.POSTval('cookie_name', $info['cookie_name']).'" />
				</div>
			</div>';
			}

			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['soft_email'].'</label>
				</div>
				<div class="col-sm-6 p-0">
				<input type="text" class="form-control" name="soft_email" size="30" value="'.POSTval('soft_email', $info['soft_email']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['from_email'].'</label>
				</div>
				<div class="col-sm-6 p-0">
				<input type="text" class="form-control" name="from_email" size="30" value="'.POSTval('from_email', $info['from_email']).'" />
				</div>
			</div>';

			if($master){
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['sess_len'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sess_len_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="sess_len" id="sess_len" size="30" value="'.POSTval('sess_len', $info['sess_len']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['choose_lang'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['choose_lang_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
			<select class="custom-select" name="language">';
				
				foreach($langs as $k => $v){

					echo '<option value="'.$v.'" '.(empty($_POST['language']) && $info['language'] == $v ? 'selected="selected"' : (@trim($_POST['language']) == $v ? 'selected="selected"' : '') ).'>'._ucfirst($v).'</option>';
					
				}
				
				echo '</select>
			</div>
			</div>

			<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['choose_theme'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['choose_theme_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>	
			</div>
			<div class="col-sm-6 p-0">
			<select class="custom-select" name="theme_folder">';
				
				foreach($skins as $k => $v){
					
					echo '<option value="'.$v.'" '.(empty($_POST['theme_folder']) && $info['theme_folder'] == $v ? 'selected="selected"' : (trim($_POST['theme_folder']) == $v ? 'selected="selected"' : '') ).'>'._ucfirst($v).'</option>';
				}
				
				echo '</select>
			</div>
			</div>';
			}

			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0"><label class="control-label">'.$l['timezone'].'</label></div>
				<div class="col-sm-6 p-0" valign="top">
					<select class="custom-select virt-select" name="timezone">';
				
						foreach ($timezones as $key => $value) {
							echo '<optgroup label="'.$key.'">';
							foreach ($value as $timezone_value => $timezone_name) {
								echo '<option value="'.$timezone_value.'" '. ($info['timezone'] == $timezone_value ? 'selected="selected"' : '') .'>'.$timezone_name.'</option>';
							}
							echo '</optgroup>';
						}

					echo '</select>
				</div>
			</div>';

			// CPU model edit option only available on kvm
			if($master || (empty($master) && server_virt($globals['server'], 'kvm') == 'kvm')){
				echo '<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['cpu_nm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cpu_nm_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('cpu_nm', '', '', array('chk_it' => 1, 'val' => $info['cpu_nm'])).'
					</div>
				</div>';
			}

			if(empty($master)){
			echo '<div class="row mx-auto w-100 my-3" id="overcommitrow">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['overcommit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['overcommit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					<input type="number" class="form-control" name="overcommit" id="overcommit" size="20" value="'.POSTval('overcommit', $info['overcommit']).'" />
				</div>
			</div>';
			}

			if(empty($master) && !$cluster->virt(0)){
			echo '<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['vnc_ip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vnc_ip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="vnc_ip" id="vnc_ip" size="20" value="'.POSTval('vnc_ip', $info['vnc_ip']).'" />
				</div>
			</div>';
			}

			if($master){
			echo '
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['enable_rdns'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_rdns_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('enable_rdns', '', '', array('chk_it' => 1, 'val' => @$info['enable_rdns'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['auto_add_zone'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['auto_add_zone_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('auto_add_zone', '', '', array('chk_it' => 1, 'val' => @$info['auto_add_zone'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['curl_timeout'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['curl_timeout_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="curl_timeout" value="'.POSTval('curl_timeout', $info['curl_timeout']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['del_novps_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['del_novps_user_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('del_novps_user', '', '', array('chk_it' => 1, 'val' => @$info['del_novps_user'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['pass_strength'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['pass_strength_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="form-control" name="pass_strength" value="'.POSTval('pass_strength', $info['pass_strength']).'" />
				</div>
			</div>';
			}

			if($master){
			echo '<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['turnon_virtdf'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['turnon_virtdf_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('turnon_virtdf', '', '', array('chk_it' => 1, 'val' => $info['turnon_virtdf'])).'
				</div>
			</div>';
			}

			echo '<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['del_slave_ostemplate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['del_slave_ostemplate_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('del_slave_ostemplate', '', '', array('chk_it' => 1, 'val' => $info['del_slave_ostemplate'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['keep_orphan_template'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['keep_orphan_template_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('keep_orphan_template', '', '', array('chk_it' => 1, 'val' => $info['keep_orphan_template'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['disable_virttop'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_virttop_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('disable_virttop', '', 'disable_virttop', array('chk_it' => 1, 'val' => $info['disable_virttop'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['disable_virtsparsify'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_virtsparsify_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('disable_virtsparsify', '', 'disable_virtsparsify', array('chk_it' => 1, 'val' => $info['disable_virtsparsify'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">	
					<label class="control-label">'.$l['showsearch'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['showsearch_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('showsearch', '', '', array('chk_it' => 1, 'val' => $info['showsearch'])).'
				</div>
			</div>';

			if($master){

			echo '
			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['enable_idsort'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_idsort_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('enable_idsort', '', '', array('chk_it' => 1, 'val' => $info['enable_idsort'])).'
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['default_sg_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['default_sg_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-sm-6 p-0">
					<input type="text" class="form-control" name="default_sg_name" value="'.POSTval('default_sg_name', $info['default_sg_name']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['default_sg_reseller_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['default_sg_reseller_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-sm-6 p-0">
					<input type="text" class="form-control" name="default_sg_reseller_name" value="'.POSTval('default_sg_reseller_name', $info['default_sg_reseller_name']).'" />
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['server_ram_threshold'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_ram_threshold_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-sm-6 p-0">
					<input type="text" class="form-control" name="server_ram_threshold" value="'.POSTval('server_ram_threshold', $info['server_ram_threshold']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['server_disk_threshold'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['server_disk_threshold_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-sm-6 p-0">
					<input type="text" class="form-control" name="server_disk_threshold" value="'.POSTval('server_disk_threshold', $info['server_disk_threshold']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class=" col-sm-6 p-0">
					<label class="control-label">'.$l['default_sg_desc'].'</label>
				</div>
				<div class=" col-sm-6 p-0">
					<textarea class="form-control" name="default_sg_desc" >'.POSTval('default_sg_desc', $info['default_sg_desc']).'</textarea>
				</div>
			</div>
			';
			}
			if($master){
				echo'<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['enable_backup_delete'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_backup_delete_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('enable_backup_delete', '', 'enable_backup_delete', array('chk_it' => 1, 'val' => $info['enable_backup_delete'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3" id="enable_backup_delete_cron" style="display:none;">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['enable_backup_delete_cron'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_backup_delete_cron_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" class="form-control" name="enable_backup_delete_cron" value="'.(empty(POSTval('enable_backup_delete_cron', $info['enable_backup_delete_cron'])) ? '0' : POSTval('enable_backup_delete_cron', $info['enable_backup_delete_cron'])).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['disable_2tb_check'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_2tb_check_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('disable_2tb_check', '', 'disable_2tb_check', array('chk_it' => 1, 'val' => $info['disable_2tb_check'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['vz6_style_suspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vz6_style_suspend_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('vz6_style_suspend', '', '', array('chk_it' => 1, 'val' => $info['vz6_style_suspend'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0"><label class="control-label">'.$l['compression_algo'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['compression_algo_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label></div>
						<div class="col-6 p-0" valign="top">
							<select class="custom-select virt-select" name="compression_algo">';
							echo'<option value="0">'.$l['no_compression_algo'].'</option>';
								foreach ($valid_compression as $key => $value) {
									echo '<option value="'.$value.'" '. ($info['compression_algo'] == $value ? 'selected="selected"' : '') .'>'.$value.'</option>';
								}

						echo '</select>
						</div>
					</div>';
			}
			
			echo'
					<div class="row mx-auto w-100 my-3">
						<div class=" col-sm-6 p-0">
							<label class="control-label">'.$l['set_vps_config_mtu'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['set_vps_config_mtu_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-sm-6 p-0">
							'.get_checkbox('set_vps_config_mtu', '', '', array('chk_it' => 1, 'val' => $info['set_vps_config_mtu'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_recipe_reinstall'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_recipe_reinstall_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_recipe_reinstall', '', '', array('chk_it' => 1, 'val' => $info['disable_recipe_reinstall'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['use_win_script'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['use_win_script_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('use_win_script', '', '', array('chk_it' => 1, 'val' => $info['use_win_script'])).'
						</div>
					</div>
			</div>
		</div>';
		if($master){
			echo '<div  class="divroundshad">
				<div class="roundheader">'.$l['resource_sg_pref'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['resource_sg_sel'].'</label>
						</div>
						<div class="col-6 p-0">
							<div class="row w-100">
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference_none" name="resource_preference" value="0" '.POSTradio('resource_preference', '0', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference_none">'.$l['resource_pref_none'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference1" name="resource_preference" value="1" '.POSTradio('resource_preference', '1', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference1">'.$l['resource_pref_space'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference2" name="resource_preference" value="2" '.POSTradio('resource_preference', '2', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference2">'.$l['resource_pref_ram'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference3" name="resource_preference" value="3" '.POSTradio('resource_preference', '3', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference3">'.$l['resource_pref_cores'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference4" name="resource_preference" value="4" '.POSTradio('resource_preference', '4', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference4">'.$l['resource_pref_ips'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference5" name="resource_preference" value="5" '.POSTradio('resource_preference', '5', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference5">'.$l['resource_pref_ipv6'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference6" name="resource_preference" value="6" '.POSTradio('resource_preference', '6', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference6">'.$l['resource_pref_ipv6sub'].'</span>
									</label>
								</div>
								<div class="col-12">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="resource_preference7" name="resource_preference" value="7" '.POSTradio('resource_preference', '7', $info['resource_preference']).'>
										<span class="custom-control-label" for="resource_preference7">'.$l['resource_pref_numvps'].'</span>
									</label>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-6">
						<label class="control-label">'.$l['show_server_selection_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['show_server_selection_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('show_server_selection_logs', '', '', array('chk_it' => 1, 'val' => $info['show_server_selection_logs'])).'
					</div>
				</div>
			</div>';
		}
		echo'
		<div  class="divroundshad">
			<div class="roundheader">'.$l['database_settings'].'</div>
			<div class="px-3">
				<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['disable_slave_db_backup'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_slave_db_backup_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('disable_slave_db_backup', '', '', array('chk_it' => 1, 'val' => $info['disable_slave_db_backup'])).'
					</div>
				</div>
			</div>
		</div>
		
		<div  class="divroundshad">
			<div class="roundheader">'.$l['nw_settings'].'</div>
			<div class="px-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['interface'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['interface_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="interface" id="interface" size="30" value="'.POSTval('interface', $info['interface']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['node_bandwidth'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['node_bandwidth_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" class="form-control" name="node_bandwidth" id="node_bandwidth" size="20" value="'.POSTval('node_bandwidth', $info['node_bandwidth']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['vps_bandwidth_threshold'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vps_bandwidth_threshold_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" class="form-control" name="vps_bandwidth_threshold" id="vps_bandwidth_threshold" size="20" value="'.POSTval('vps_bandwidth_threshold', $info['vps_bandwidth_threshold']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['ping_ip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ping_ip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="ping_ip" id="ping_ip" size="20" value="'.POSTval('ping_ip', $info['ping_ip']).'" />
					</div>
				</div>';
				if($master){
					echo '
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['band_suspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['band_suspend_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('band_suspend', '', '', array('chk_it' => 1, 'val' => $info['band_suspend'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['band_calc_creation'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['band_calc_creation_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('band_calc_creation', '', '', array('chk_it' => 1, 'val' => $info['band_calc_creation'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['disable_ebtables'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_ebtables_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('disable_ebtables', '', '', array('chk_it' => 1, 'val' => $info['disable_ebtables'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['disable_ebtables_internal'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_ebtables_internal_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('disable_ebtables_internal', '', '', array('chk_it' => 1, 'val' => $info['disable_ebtables_internal'])).'
						</div>
					</div>';
				}
				if(empty($master)){
					echo '
						<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_nw_config'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disable_nw_config'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_nw_config', '', '', array('chk_it' => 1, 'val' => $info['disable_nw_config'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
						<label class="control-label">'.$l['bw_calculation'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['bw_calculation_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="bw_cal_config1" name="bw_cal_config" value="0" '.(POSTval('bw_cal_config', $info['bw_cal_config']) == 0 ? 'checked="checked"' : '').'>
								<span class="custom-control-label" for="bw_cal_config1">'.$l['bw_cal_both'].'</span>
							</label> 
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="bw_cal_config2" name="bw_cal_config" value="1" '.(POSTval('bw_cal_config', $info['bw_cal_config']) == 1 ? 'checked="checked"' : '').'>
								<span class="custom-control-label" for="bw_cal_config2">'.$l['bw_cal_download'].'</span>
							</label> 
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="bw_cal_config3" name="bw_cal_config" value="2" '.(POSTval('bw_cal_config', $info['bw_cal_config']) == 2 ? 'checked="checked"' : '').'>
								<span class="custom-control-label" for="bw_cal_config3">'.$l['bw_cal_upload'].'</span>
							</label>
						</div>
					</div>
					';
				}
				echo '
				<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['speed_cap_disable'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['speed_cap_disable_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('speed_cap_disable', '', 'speed_cap_disable', array('chk_it' => 1, 'val' => $info['speed_cap_disable'])).'
					</div>
				</div>';

		echo '
			</div>
		</div>'; // End of network setting DIV

		echo '
		<div  class="divroundshad">
			<div class="roundheader">'.$l['haproxy_settings'].'</div>
			<div class="px-3">
				<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['haproxy_enable'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_enable_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('haproxy_enable', '', 'haproxy_enable', array('chk_it' => 1, 'val' => $info['haproxy_enable'])).'
					</div>
				</div>';

				if(empty($master)){
					echo '

				<div class="row mx-auto w-100 my-3">
					<div class=" col-sm-6 p-0">
						<label class="control-label">'.$l['haproxy_src_ips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_src_ips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-sm-6 p-0">
						<input type="text" class="form-control haproxy" id="haproxy_src_ips" name="haproxy_src_ips" value="'.POSTval('haproxy_src_ips', (!empty($info['haproxy_src_ips']) ? $info['haproxy_src_ips'] : server_publicip($globals['serid']))).'" />
					</div>
				</div>';
				}

				echo '
				<div class="row mx-auto w-100 my-3">
					<div class=" col-sm-6 p-0">
						<label class="control-label">'.$l['haproxy_reservedports'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_reservedports_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-sm-6 p-0">
						<input type="text" class="form-control haproxy" id="haproxy_reservedports" name="haproxy_reservedports" value="'.POSTval('haproxy_reservedports', $info['haproxy_reservedports']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-sm-6 p-0">
						<label class="control-label">'.$l['haproxy_reservedports_http'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_reservedports_http_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-sm-6 p-0">
						<input type="text" class="form-control haproxy" id="haproxy_reservedports_http" name="haproxy_reservedports_http" value="'.POSTval('haproxy_reservedports_http', (empty($info['haproxy_reservedports_http']) ? '80,443' : $info['haproxy_reservedports_http'])).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-sm-6 p-0">
						<label class="control-label">'.$l['haproxy_allowedports'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_allowedports_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-sm-6 p-0">
						<input type="text" class="form-control haproxy" id="haproxy_allowedports" name="haproxy_allowedports" value="'.POSTval('haproxy_allowedports', $info['haproxy_allowedports']).'" />
					</div>
				</div>
			</div>
		</div>
		';
		if($master){
					echo '<div  class="divroundshad">
						<div class="roundheader">'.$l['backup_settings'].'</div>
						<div class="px-3">
							<div class="row mx-auto w-100 my-3">
								<div class="col-sm-6 p-0">
									<label class="control-label">'.$l['backup_queue'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_queue_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								</div>
								<div class="col-sm-6 p-0">
									<input type="text" class="form-control" name="backup_queue" size="10" value="'.POSTval('backup_queue', @$info['backup_queue']).'" />
								</div>
							</div>
							<div class="row mx-auto w-100 my-3">
								<div class="col-sm-6 p-0">
									<label class="control-label">'.$l['restore_queue'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['restore_queue_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								</div>
								<div class="col-sm-6 p-0">
									<input type="text" class="form-control" name="restore_queue" size="10" value="'.POSTval('restore_queue', @$info['restore_queue']).'" />
								</div>
							</div>
							<div class="row mx-auto w-100 my-3">
								<div class=" col-6 p-0">
									<label class="control-label">'.$l['disable_backup_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_backup_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								</div>
								<div class=" col-6 p-0">
									'.get_checkbox('disable_backup_cp', '', '', array('chk_it' => 1, 'val' => $info['disable_backup_cp'])).'
								</div>
							</div>
							<div class="row mx-auto w-100 my-3">
								<div class=" col-sm-6 p-0">
									<label class="control-label">'.$l['backup_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_email_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								</div>
								<div class=" col-sm-6 p-0">
									<input type="text" class="form-control" name="backup_email" size="10" value="'.POSTval('backup_email', $info['backup_email']).'" />
								</div>
							</div>
							<div class="row mx-auto w-100 my-3">
								<div class=" col-6 p-0">
									<label class="control-label">'.$l['backup_disable_success_mail'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_disable_success_mail_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								</div>
								<div class=" col-6 p-0">
									'.get_checkbox('backup_disable_success_mail', '', '', array('chk_it' => 1, 'val' => $info['backup_disable_success_mail'])).'
								</div>
							</div>
						</div>
					</div>';
				}
		
			if($master){
					
				echo '
				<div  class="divroundshad">
					<div class="roundheader">'.$l['logs_settings'].'</div>
					<div class="px-3">
						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['admin_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['admin_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="admin_logs" id="admin_logs" size="30" value="'.POSTval('admin_logs', $info['admin_logs']).'" />
							</div>
						</div>

						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['vps_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vps_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="vps_logs" id="vps_logs" size="30" value="'.POSTval('vps_logs', $info['vps_logs']).'" />
							</div>
						</div>

						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['login_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['login_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="login_logs" id="login_logs" size="30" value="'.POSTval('login_logs', $info['login_logs']).'" />
							</div>
						</div>

						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['system_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['system_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="system_logs" id="system_logs" size="30" value="'.POSTval('system_logs', $info['system_logs']).'" />
							</div>
						</div>

						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['status_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['status_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
								<label class="control-label"></label>
								<span class="help-block"></span>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="status_logs" id="status_logs" size="30" value="'.POSTval('status_logs', $info['status_logs']).'" />
							</div>
						</div>

						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['bandwidth_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['bandwidth_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="bandwidth_logs" id="bandwidth_logs" size="30" value="'.POSTval('bandwidth_logs', $info['bandwidth_logs']).'" />
							</div>
						</div>
						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['haproxy_cron_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['haproxy_cron_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="haproxy_cron_logs" id="haproxy_cron_logs" size="30" value="'.POSTval('haproxy_cron_logs', $info['haproxy_cron_logs']).'" />
							</div>
						</div>
						<div class="row mx-auto w-100 my-3">
							<div class="col-sm-6 p-0">
								<label class="control-label">'.$l['del_tasks'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['del_tasks_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
							</div>
							<div class="col-sm-6 p-0">
								<input type="text" class="form-control" name="del_tasks" id="del_tasks" size="30" value="'.POSTval('del_tasks', $info['del_tasks']).'" />
							</div>
						</div>
					</div>
				</div>
				';
				}echo'
		
	</div>
	<div class="col-sm-12 col-md-12 col-lg-6">';
	if($master || (empty($master) && $cluster->virt(0, 1, 1, 0, 1))){
			echo '
			<div  class="divroundshad">
				<div class="roundheader">'.$l['xen_settings'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['xen_dom0mem'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['xen_dom0mem_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
						<div class="input-group ">	
							<input type="text" class="form-control w-50 rounded" name="xen_dom0mem" id="xen_dom0mem" size="30" value="'.POSTval('xen_dom0mem', $info['xen_dom0mem']).'"/>
							<div class="input-group-append">
								<span class="p-1 pt-2">MB</span>
							</div>
						</div>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['pv_on_hvm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['pv_on_hvm_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('pv_on_hvm', '', '', array('chk_it' => 1, 'val' => $info['pv_on_hvm'])).'
						</div>
					</div>';

					if(empty($master)){

					echo '<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['xen_pvbridge'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['xen_pvbridge_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" class="form-control" name="xen_pvbridge" id="xen_pvbridge" size="30" value="'.POSTval('xen_pvbridge', $info['xen_pvbridge']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['xen_hvmbridge'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['xen_hvmbridge_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" class="form-control" name="xen_hvmbridge" id="xen_hvmbridge" size="30" value="'.POSTval('xen_hvmbridge', $info['xen_hvmbridge']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['use_xl'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['use_xl_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('use_xl', '', '', array('chk_it' => 1, 'val' => $info['use_xl'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['xen_dm_version'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['xen_dm_version_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							<div class="row mx-auto w-100">
								<div class="col-12 p-0">
									<label class="custom-control custom-radio">
										<input type="radio" class="custom-control-input" id="xen_dm_version1" name="xen_dm_version" value="0" '.(POSTval('xen_dm_version', $info['xen_dm_version']) == '0' ? 'checked="checked"' : '').'>
										<span class="custom-control-label" for="xen_dm_version1">'.$l['xen_dm_version_traditional'].'</span>
									</label>
								</div>
								<div class="col-12 p-0">
									<label class="custom-control custom-radio">
										<input type="radio" name="xen_dm_version" id="xen_dm_version2" value="1" '.(POSTval('xen_dm_version', $info['xen_dm_version']) == '1' ? 'checked="checked"' : '').' class="custom-control-input" >
										<span class="custom-control-label" for="xen_dm_version2">'.$l['xen_dm_version_qemu'].'</span>
									</label>
								</div>
							</div>
						</div>
					</div>';
					}
			echo'
				</div>
			</div>';
		}// End of XEN
		
		if($master){
			echo '<div  class="divroundshad">
			<div class="roundheader">'.$l['enduser_settings'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_icons_monitor'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_icons_monitor_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_icons_monitor', '', '', array('chk_it' => 1, 'val' => $info['disable_icons_monitor'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_icons_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_icons_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_icons_cp', '', '', array('chk_it' => 1, 'val' => $info['disable_icons_cp'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['enable_enduser_vnc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_enduser_vnc_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('enable_enduser_vnc', '', '', array('chk_it' => 1, 'val' => $info['enable_enduser_vnc'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['hide_enuser_vnc_info'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['hide_enuser_vnc_info_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('hide_enduser_vnc_info', '', '', array('chk_it' => 1, 'val' => $info['hide_enduser_vnc_info'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['show_server'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['show_server_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('show_server', '', '', array('chk_it' => 1, 'val' => $info['show_server'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_apicredential'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disable_apicredential'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_apicredential', '', 'disable_apicredential', array('chk_it' => 1, 'val' => @$info['disable_apicredential'])).'
						</div>	
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">	
							<label class="control-label">'.$l['disable_recipes'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_recipes_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_recipes', '', '', array('chk_it' => 1, 'val' => $info['disable_recipes'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['eu_allow_virtio'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['eu_allow_virtio_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('eu_allow_virtio', '', '', array('chk_it' => 1, 'val' => $info['eu_allow_virtio'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_rescue'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_rescue_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_rescue', '', '', array('chk_it' => 1, 'val' => $info['disable_rescue'])).'			
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_change_hostname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_change_hostname_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_change_hostname', '', '', array('chk_it' => 1, 'val' => $info['disable_change_hostname'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_change_password'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_change_password_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-sm-6 p-0">
							'.get_checkbox('disable_change_password', '', '', array('chk_it' => 1, 'val' => $info['disable_change_password'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_change_vnc_password'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_change_vnc_password_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-sm-6 p-0">
							'.get_checkbox('disable_change_vnc_password', '', '', array('chk_it' => 1, 'val' => $info['disable_change_vnc_password'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_vps_config'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_vps_config_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_vps_config', '', '', array('chk_it' => 1, 'val' => $info['disable_vps_config'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_os_reinstall'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_os_reinstall_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_os_reinstall', '', '', array('chk_it' => 1, 'val' => $info['disable_os_reinstall'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
						<label class="control-label">'.$l['disable_ssh'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_ssh_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_ssh', '', '', array('chk_it' => 1, 'val' => $info['disable_ssh'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_suspend_email'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_suspend_email_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_suspend_email', '', '', array('chk_it' => 1, 'val' => $info['disable_suspend_email'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_self_shutdown'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_self_shutdown_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_self_shutdown', '', '', array('chk_it' => 1, 'val' => $info['disable_self_shutdown'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_server_location'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_server_location_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_server_location', '', '', array('chk_it' => 1, 'val' => $info['disable_server_location'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_enduser_sshkeys'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_enduser_sshkeys_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_enduser_sshkeys', '', '', array('chk_it' => 1, 'val' => $info['disable_enduser_sshkeys'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_vga'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_vga_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-sm-6 p-0">
							'.get_checkbox('disable_vga', '', '', array('chk_it' => 1, 'val' => $info['disable_vga'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['enable_nic'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_nic_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('enable_nic', '', '', array('chk_it' => 1, 'val' => $info['enable_nic'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['enable_2fa'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_2fa_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('enable_2fa', '', '', array('chk_it' => 1, 'val' => $info['enable_2fa'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['2fa_email_otp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['2fa_email_otp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('2fa_email_otp', '', '', array('chk_it' => 1, 'val' => $info['2fa_email_otp'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['domain_forwarding_check'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['domain_forwarding_check_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_domain_forward', '', '', array('chk_it' => 1, 'val' => $info['disable_domain_forward'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['show_vps_active_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['show_vps_active_time_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('show_vps_active_time', '', '', array('chk_it' => 1, 'val' => $info['show_vps_active_time'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['power_only_option'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['power_only_option_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('power_only_option', '', '', array('chk_it' => 1, 'val' => $info['power_only_option'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_logs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_logs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_logs', '', '', array('chk_it' => 1, 'val' => $info['disable_logs'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_change_primary_ip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_change_primary_ip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_change_primary_ip', '', '', array('chk_it' => 1, 'val' => $info['disable_change_primary_ip'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0"><label class="control-label">'.$l['default_enduser_timezone'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['default_enduser_timezone_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label></div>
						<div class="col-6 p-0" valign="top">
							<select class="custom-select virt-select" name="default_enduser_timezone">';
							echo'<option value="0">'.$l['no_timezone'].'</option>';
								foreach ($timezones as $key => $value) {
									echo '<optgroup label="'.$key.'">';
									foreach ($value as $timezone_value => $timezone_name) {
										echo '<option value="'.$timezone_value.'" '. ($info['default_enduser_timezone'] == $timezone_value ? 'selected="selected"' : '') .'>'.$timezone_name.'</option>';
									}
									echo '</optgroup>';
								}

							echo '</select>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['hide_acc_password'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['hide_acc_password_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('hide_acc_password', '', '', array('chk_it' => 1, 'val' => $info['hide_acc_password'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['hide_forgot_password'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['hide_forgot_password_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('hide_forgot_password', '', '', array('chk_it' => 1, 'val' => $info['hide_forgot_password'])).'
						</div>
					</div>
				
			</div>
			</div>
			

			<div  class="divroundshad">
				<div class="roundheader">'.$l['eu_iso_settings'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['enable_eu_iso'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_eu_iso_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('enable_eu_iso', '', 'enable_eu_iso', array('chk_it' => 1, 'val' => $info['enable_eu_iso'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['eu_iso_size'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['eu_iso_size_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							<div class="input-group ">
								<input type="number" class="form-control float-left" name="eu_iso_size" id="eu_iso_size" value="'.POSTval('eu_iso_size', (empty($info['eu_iso_size']) ? '5120' : $info['eu_iso_size'])).'"/>
								<div class="input-group-append">
									<span class="p-1 pt-2">MB</span>
								</div>
							</div>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['eu_iso_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['eu_iso_limit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							<input type="number" class="form-control w-100" name="eu_iso_limit" id="eu_iso_limit" value="'.POSTval('eu_iso_limit', (empty($info['eu_iso_limit']) ? '3' : $info['eu_iso_limit'])).'"/>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['eu_iso_space'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['eu_iso_space_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							<div class="input-group ">
								<input type="number" class="form-control rounded" name="eu_iso_space" id="eu_iso_space" value="'.POSTval('eu_iso_space', (empty($info['eu_iso_space']) ? '5120' : $info['eu_iso_space'])).'"/>
								<div class="input-group-append">
									<span class="p-1 pt-2">MB</span>
								</div>
							</div>
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['eu_iso_del_hr'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['eu_iso_del_hr_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
						<div class="input-group ">
								<input type="number" class="form-control rounded" name="eu_iso_del_hr" id="eu_iso_del_hr" value="'.POSTval('eu_iso_del_hr', (empty($info['eu_iso_del_hr']) ? 0 : $info['eu_iso_del_hr'])).'"/>
							<div class="input-group-append">
								<span class="p-1 pt-2">Hr</span>
							</div>
						</div>
						</div>
					</div>
				</div>
			</div>
			

			<div  class="divroundshad">
				<div class="roundheader">'.$l['cloud_user_settings'].'</div>
				<div class="px-3">
					<!-- <div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_cloud_suspend_options'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_cloud_suspend_options_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_cloud_suspend_options', '', '', array('chk_it' => 1, 'val' => $info['disable_cloud_suspend_options'])).'
						</div>
					</div>-->
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cloud_allow_virtio'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cloud_allow_virtio_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cloud_allow_virtio', '', '', array('chk_it' => 1, 'val' => @$info['cloud_allow_virtio'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_login_logo'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disable_login_logo'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_login_logo', '', 'disable_login_logo', array('chk_it' => 1, 'val' => @$info['disable_login_logo'])).'		
						</div>	
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['allow_cloud_dom_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_allow_cloud_dom_name'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('allow_cloud_dom_name', '', 'allow_cloud_dom_name', array('chk_it' => 1, 'val' => @$info['allow_cloud_dom_name'])).'
						</div>	
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['allow_cloud_ebt_disable'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['allow_cloud_ebt_disable_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('allow_cloud_ebt_disable', '', 'allow_cloud_ebt_disable', array('chk_it' => 1, 'val' => @$info['allow_cloud_ebt_disable'])).'
						</div>	
					</div>
					<!-- <div class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['enable_iops_sec'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_iops_sec_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0">
							'.get_checkbox('enable_iops_sec', '', 'enable_iops_sec', array('chk_it' => 1, 'val' => @$info['enable_iops_sec'])).'
						</div>	
					</div> -->
				</div>
			</div>
			<div  class="divroundshad">
				<div class="roundheader">'.$l['cb_settings'].'</div>
				<div class="px-3">	
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['enable_cb'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_cb_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('enable_cb', '', '', array('chk_it' => 1, 'val' => @$info['enable_cb'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['cb_url'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_url_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0 form-gorup">
							<div class="input-group ">
								<select name="cb_use_https" id="cb_use_https" class="custom-select p-0 w-25">
									<option value="0" '.ex_POSTselect('cb_use_https', '0', $info['cb_use_https']).'>http://</option>
									<option value="1" '.ex_POSTselect('cb_use_https', '1', $info['cb_use_https']).'>https://</option>
								</select>
							<div class="input-group-append w-75"><input type="text" class="form-control w-100" name="cb_url" id="cb_url" value="'.POSTval('cb_url', $info['cb_url']).'" />
							</div>
							</div>
							
							
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_hash'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_hash_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-xs-6 col-6 p-0">
							<span id="cb_hash">'.$info['cb_hash'].'</span><a onclick="return reset_hash();" class="cursor-pointer mt-2 ml-2"><i class="fas fa-sync" id="resethash"></i></a>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_suspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_suspend_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_suspend', '', '', array('chk_it' => 1, 'val' => @$info['cb_suspend'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_unsuspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_unsuspend_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_unsuspend', '', '', array('chk_it' => 1, 'val' => @$info['cb_unsuspend'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_hostname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_hostname_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_hostname', '', '', array('chk_it' => 1, 'val' => @$info['cb_hostname'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_terminate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_terminate_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_terminate', '', '', array('chk_it' => 1, 'val' => @$info['cb_terminate'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_changeips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_changeips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_changeips', '', '', array('chk_it' => 1, 'val' => @$info['cb_changeips'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_login_whmcs_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_login_whmcs_user_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">	
							'.get_checkbox('cb_login_whmcs_user', '', '', array('chk_it' => 1, 'val' => @$info['cb_login_whmcs_user'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['cb_invoice_whmcs_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cb_invoice_whmcs_user_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('cb_invoice_whmcs_user', '', '', array('chk_it' => 1, 'val' => @$info['cb_invoice_whmcs_user'])).'
						</div>
					</div>
				</div>
			</div>';
		}
	
		if($master){
			echo '<div  class="divroundshad">
				<div class="roundheader">'.$l['max_ips_setting'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class="col-xs-10 col-sm-6 p-0">
							<label class="control-label">'.$l['max_ipv4s'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_ipv4s_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-xs-2 col-sm-6 p-0">
							<input type="number" class="form-control" name="max_ipv4s" id="max_ipv4s" size="30" value="'.POSTval('max_ipv4s', $info['max_ipv4s']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-xs-10 col-sm-6 p-0">
							<label class="control-label">'.$l['max_ipv6s'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_ipv6s_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-xs-2 col-sm-6 p-0">
							<input type="number" class="form-control" name="max_ipv6s" id="max_ipv6s" size="30" value="'.POSTval('max_ipv6s', $info['max_ipv6s']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-xs-10 col-sm-6 p-0">
							<label class="control-label">'.$l['max_ipv6_subnets'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_ipv6_subnets_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-xs-2 col-sm-6 p-0">
							<input type="number" class="form-control" name="max_ipv6_subnets" id="max_ipv6_subnets" size="30" value="'.POSTval('max_ipv6_subnets', $info['max_ipv6_subnets']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-xs-10 col-sm-6 p-0">
							<label class="control-label">'.$l['max_internal_ips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_internal_ips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-xs-2 col-sm-6 p-0">
							<input type="number" class="form-control" name="max_internal_ips" id="max_internal_ips" size="30" value="'.POSTval('max_internal_ips', $info['max_internal_ips']).'" />
						</div>
					</div>
				</div>
			</div>';
		}
		
		
		if(empty($master) && $cluster->virt(0, 0, 0, 0, 0, 0, 0, 1)){
				echo '
			<div  class="divroundshad">
				<div class="roundheader">'.$l['proxmox_settings'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['proxmox_server_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['proxmox_server_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" class="form-control" name="proxmox_server_name" id="proxmox_server_name" size="30" value="'.POSTval('proxmox_server_name', $info['proxmox_server_name']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['proxmox_server_pass'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['proxmox_server_pass_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" class="form-control" name="proxmox_server_pass" id="proxmox_server_pass" size="30" autocomplete="off" value="'.POSTval('proxmox_server_pass', '').'" />
						</div>
					</div>
				</div>
			</div>
			';

			}echo'
			
			<div  class="divroundshad">
				<div class="roundheader">'.$l['novnc_settings'].'</div>
				<div class="px-3">';

					if($master){
					echo '
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['novnc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['novnc_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('novnc', '', '', array('chk_it' => 1, 'val' => @$info['novnc'])).'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['novnc_master_only'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['novnc_master_only_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('novnc_master_only', '', '', array('chk_it' => 1, 'val' => @$info['novnc_master_only'])).'
						</div>
					</div>

					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">
							<label class="control-label">'.$l['disable_java_vnc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_java_vnc_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('disable_java_vnc', '', '', array('chk_it' => 1, 'val' => @$info['disable_java_vnc'])).'
						</div>
					</div>';
					}

					echo '
					<div class="row mx-auto w-100 my-3">
						<div class=" col-6 p-0">	
							<label class="control-label">'.$l['novnc_server_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['novnc_server_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class=" col-6 p-0">
							'.get_checkbox('novnc_server_name', '', '', array('chk_it' => 1, 'val' => @$info['novnc_server_name'])).'
						</div>
					</div>
				</div>
			</div>
			';
			
		if($master || (empty($master) && $cluster->virt(1))){
			echo'<div  class="divroundshad">
			<div class="roundheader">'.$l['openvz_settings'].'</div>
			<div class="px-0">
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['vswap'].'&nbsp;<a class="info" data-placement="right" tooltip="'.htmlizer($l['vswap_exp']).'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('vswap', '', '', array('chk_it' => 1, 'val' => $info['vswap'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['ploop'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ploop_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('ploop', '', '', array('chk_it' => 1, 'val' => $info['ploop'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_ppp_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_ppp_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_ppp_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_ppp_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_tuntap_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_tuntap_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_tuntap_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_tuntap_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_fuse_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_fuse_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_fuse_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_fuse_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_ipip_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_ipip_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_ipip_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_ipip_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_ipgre_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_ipgre_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_ipgre_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_ipgre_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_nfs_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_nfs_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_nfs_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_nfs_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_quotaugidlimit_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_quotaugidlimit_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_quotaugidlimit_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_quotaugidlimit_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_iolimit_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_iolimit_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_iolimit_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_iolimit_cp'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_iopslimit_cp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_iopslimit_cp_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_iopslimit_cp', '', '', array('chk_it' => 1, 'val' => $info['enable_iopslimit_cp'])).'
					</div>
				</div>';

				if($master){
				echo '<div class="row mx-auto w-100 my-3">
					<div class=" col-8">
						<label class="control-label">'.$l['enable_console'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_console_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-4">
						'.get_checkbox('enable_console', '', '', array('chk_it' => 1, 'val' => $info['enable_console'])).'
					</div>
				</div>';
				}

				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-8">
						<label class="control-label">'.$l['openvz_suspend_load'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['openvz_suspend_load_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-4">
						<input type="text" class="form-control" name="openvz_suspend_load" id="openvz_suspend_load" size="30" value="'.POSTval('openvz_suspend_load', $info['openvz_suspend_load']).'" />
					</div>
				</div>
			</div>
		</div>';
		}


		echo '
		<div  class="divroundshad">
		<div class="roundheader">'.$l['security_settings'].'</div>
			<div class="px-3">';
			if($master){
				
				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['login_attempts'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['login_attempts_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" min="0" class="form-control" name="login_attempts" id="login_attempts" size="30" value="'.POSTval('login_attempts', $info['login_attempts']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['login_ban_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['login_ban_time_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" min="0" class="form-control" name="login_ban_time" id="login_ban_time" size="30" value="'.POSTval('login_ban_time', $info['login_ban_time']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['secure_allowed_ips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['secure_allowed_ips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="secure_allowed_ips" id="secure_allowed_ips" size="30" value="'.POSTval('secure_allowed_ips', $info['secure_allowed_ips']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['secure_allowed_api_ips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['secure_allowed_api_ips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="secure_allowed_api_ips" id="secure_allowed_api_ips" size="30" value="'.POSTval('secure_allowed_api_ips', $info['secure_allowed_api_ips']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['disable_terminal_access'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_terminal_access_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('disable_terminal_access', '', 'disable_terminal_access', array('chk_it' => 1, 'val' => $info['disable_terminal_access'])).'
					</div>
				</div>';

			}

			if(empty($master)){
				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['change_ssh_port'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['change_ssh_port_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" min="0" class="form-control" name="change_ssh_port" id="change_ssh_port" size="30" value="'.POSTval('change_ssh_port', $info['change_ssh_port']).'" />
					</div>
				</div>

				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['max_ssh_login'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['max_ssh_login_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" min="0" class="form-control" name="max_ssh_login" id="max_ssh_login" size="30" value="'.POSTval('max_ssh_login', $info['max_ssh_login']).'" />
					</div>
				</div>';
				}

				echo '
			</div>
		</div>';

		if(empty($master)){
			
			$countries = array('AD', 'AE', 'AF', 'AG', 'AI', 'AL', 'AM', 'AN', 'AO', 'AQ', 'AR', 'AS', 'AT', 'AU', 'AW', 'AX', 'AZ', 'BA', 'BB', 'BD', 'BE', 'BF', 'BG', 'BH', 'BI', 'BJ', 'BL', 'BM', 'BN', 'BO', 'BQ', 'BR', 'BS', 'BT', 'BV', 'BW', 'BY', 'BZ', 'CA', 'CC', 'CD', 'CF', 'CG', 'CH', 'CI', 'CK', 'CL', 'CM', 'CN', 'CO', 'CR', 'CU', 'CV', 'CW', 'CX', 'CY', 'CZ', 'DE', 'DJ', 'DK', 'DM', 'DO', 'DZ', 'EC', 'EE', 'EG', 'EH', 'ER', 'ES', 'ET', 'EU', 'FI', 'FJ', 'FK', 'FM', 'FO', 'FR', 'GA', 'GB-ENG', 'GB-NIR', 'GB-SCT', 'GB-WLS', 'GB', 'GD', 'GE', 'GF', 'GG', 'GH', 'GI', 'GL', 'GM', 'GN', 'GP', 'GQ', 'GR', 'GS', 'GT', 'GU', 'GW', 'GY', 'HK', 'HM', 'HN', 'HR', 'HT', 'HU', 'ID', 'IE', 'IL', 'IM', 'IN', 'IO', 'IQ', 'IR', 'IS', 'IT', 'JE', 'JM', 'JO', 'JP', 'KE', 'KG', 'KH', 'KI', 'KM', 'KN', 'KP', 'KR', 'KW', 'KY', 'KZ', 'LA', 'LB', 'LC', 'LI', 'LK', 'LR', 'LS', 'LT', 'LU', 'LV', 'LY', 'MA', 'MC', 'MD', 'ME', 'MF', 'MG', 'MH', 'MK', 'ML', 'MM', 'MN', 'MO', 'MP', 'MQ', 'MR', 'MS', 'MT', 'MU', 'MV', 'MW', 'MX', 'MY', 'MZ', 'NA', 'NC', 'NE', 'NF', 'NG', 'NI', 'NL', 'NO', 'NP', 'NR', 'NU', 'NZ', 'OM', 'PA', 'PE', 'PF', 'PG', 'PH', 'PK', 'PL', 'PM', 'PN', 'PR', 'PS', 'PT', 'PW', 'PY', 'QA', 'RE', 'RO', 'RS', 'RU', 'RW', 'SA', 'SB', 'SC', 'SD', 'SE', 'SG', 'SH', 'SI', 'SJ', 'SK', 'SL', 'SM', 'SN', 'SO', 'SR', 'SS', 'ST', 'SV', 'SX', 'SY', 'SZ', 'TC', 'TD', 'TF', 'TG', 'TH', 'TJ', 'TK', 'TL', 'TM', 'TN', 'TO', 'TR', 'TT', 'TV', 'TW', 'TZ', 'UA', 'UG', 'UM', 'US', 'UY', 'UZ', 'VA', 'VC', 'VE', 'VG', 'VI', 'VN', 'VU', 'WF', 'WS', 'XK', 'YE', 'YT', 'ZA', 'ZM', 'ZW');

			echo '
			<div class="divroundshad">
				<div class="roundheader">'.$l['server_location_set'].'</div>
				<div class="px-3">
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['country_code'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['country_code_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0"> 
							<select name="server_country_code" class="form-control chosen">
								<option value="">'.$l['select_country'].'</option>';
								foreach($countries as $country){
									echo '<option value="'.$country.'" '.ex_POSTselect('server_country_code', $country, $info['server_country_code']).'>'.$country.'</option>';
								}						
							echo '</select>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['state'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['state_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" name="server_state" class="form-control" value="'.POSTval('server_state', $info['server_state']).'">
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['city'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['city_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" name="server_city" class="form-control" value="'.POSTval('server_city', $info['server_city']).'">
						</div>
					</div>
				</div>
			</div>';
		}

		echo '<div  class="divroundshad">
			<div class="roundheader">'.$l['addvs_io_cpu_settings'].'</div>
				<div class="px-3">
			';
			
			if($master){
				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['queue_creation'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['queue_creation_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="queue_creation" size="10" value="'.POSTval('queue_creation', @$info['queue_creation']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['disable_master_vpsname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_master_vpsname_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('disable_master_vpsname', '', '', array('chk_it' => 1, 'val' => @$info['disable_master_vpsname'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['custom_mac'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['custom_mac_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" id="custom_mac" name="custom_mac" placeholder="eg. 9a:f8:15" value="'.POSTval('custom_mac', $info['custom_mac']).'" />			
							
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['set_def_hvm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['set_def_hvm_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-sm-6 p-0">
						'.get_checkbox('set_def_hvm', '', '', array('chk_it' => 1, 'val' => @$info['set_def_hvm'])).'
					</div>
				</div>';
			}
			
			if(empty($master)){
				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['vps_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vps_limit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="vpslimit" id="vpslimit" size="30" value="'.POSTval('vpslimit', $info['vpslimit']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['vcores_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vcores_limit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="vcores" id="vcores" size="30" value="'.POSTval('vcores', $info['vcores']).'" />
					</div>
				</div>';
			}
				
			echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['nice'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nice_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="addvs_cpu_prio" id="addvs_cpu_prio">';
							echo '<option value="" '.($info['addvs_cpu_prio'] == '' ? 'selected="selected"' : '').'>None</option>';
							if($info['addvs_cpu_prio'] == ''){
								$info['addvs_cpu_prio'] = 'none';
							}
							for($i=-20; $i<20; $i++){
								echo '<option value="'.$i.'" '.ex_POSTselect('addvs_cpu_prio', "$i", $info['addvs_cpu_prio']).'>'.$i.'</option>';
							}
							
						echo '</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['ionice_prio'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_prio_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="addvs_io_prio" id="addvs_io_prio">';
							echo '<option value="" '.($info['addvs_io_prio'] == '' ? 'selected="selected"' : '').'>None</option>';
							if($info['addvs_io_prio'] == ''){
								$info['addvs_io_prio'] = 'none';
							}
							for($i=0; $i<8; $i++){
								echo '<option value="'.$i.'" '.ex_POSTselect('addvs_io_prio', "$i", $info['addvs_io_prio']).' >'.$i.'</option>';
							}
							
						echo '</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['ionice_class'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_class_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="addvs_io_class" id="addvs_io_class">';
								echo '<option value="" '.(POSTval('addvs_io_class') == '' ? 'selected="selected"' : ($info['addvs_io_class'] == '' ? 'selected="selected"' : '')).'>None</option>';
								echo'<option value="1" '.(POSTval('addvs_io_class') == 1 ? 'selected="selected"' : ($info['addvs_io_class'] == 1 ? 'selected="selected"' : '')).'>Real Time</option>
								<option value="2"  '.(POSTval('addvs_io_class') == 2 ? 'selected="selected"' : ($info['addvs_io_class'] == 2 ? 'selected="selected"' : '')).'>Best Effort</option>
								<option value="3"  '.(POSTval('addvs_io_class') == 3 ? 'selected="selected"' : ($info['addvs_io_class'] == 3 ? 'selected="selected"' : '')).'>Idle</option>
						</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-12 notice mb-0">
						'.$l['addvs_io_cpu_note'].'
					</div>
				</div>
			</div>
		</div>';

		echo '<div  class="divroundshad">
		<div class="roundheader">'.$l['update_settings'].'</div>
		<div class="px-3">
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['auto_upd_virtualizor'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['auto_upd_virtualizor_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
						
					<label class="custom-control custom-radio">
						<input type="radio" id="update1" name="update" value="0" '.(POSTval('update', $info['update']) == '0' ? 'checked="checked"' : '').' class="custom-control-input" >
						<span class="custom-control-label" for="update1">'.$l['never_update'].'</span>
					</label>	
					
					<label class="custom-control custom-radio">
						<input type="radio" id="update2" name="update" value="1" '.(POSTval('update', $info['update']) == '1' ? 'checked="checked"' : '').' class="custom-control-input" >
						<span class="custom-control-label" for="update2">'.$l['stable'].'</span>
					</label>
					
					<label class="custom-control custom-radio">
						<input type="radio" id="update3" name="update" value="2" '.(POSTval('update', $info['update']) == '2' ? 'checked="checked"' : '').' class="custom-control-input" >
						<span class="custom-control-label" for="update3">'.$l['release_cand'].'</span>
					</label>
							
				</div>
			</div>

			<div class="row mx-auto w-100 my-3">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['email_upd_soft'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['email_upd_soft_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('email_update', '', '', array('chk_it' => 1, 'val' => @$info['email_update'])).'
				</div>
			</div>';

			if($master){
				echo '<div class="row mx-auto w-100 my-3">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['email_upd_soft_client'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['email_upd_soft_client_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('email_update_client', '', '', array('chk_it' => 1, 'val' => @$info['email_update_client'])).'
					</div>
				</div>';
			}

			if(empty($master)){
				echo '<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['cron_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cron_time_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" name="cron_time" class="form-control" id="cron_time" size="30" value="'.POSTval('cron_time', $info['cron_time']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['emps_cron_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['emps_cron_time_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" name="emps_cron_time" class="form-control" id="emps_cron_time" size="30" value="'.POSTval('emps_cron_time', $info['emps_cron_time']).'" />
					</div>
				</div>';
			}

		echo '
			</div>
		</div>
		<div  class="divroundshad">
			<div class="roundheader">'.$l['notify_settings'].'</div>
			<div class="px-3">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['alert_load_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['alert_load_limit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="alert_load_limit" id="alert_load_limit" size="30" value="'.POSTval('alert_load_limit', $info['alert_load_limit']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['alert_disk_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['alert_disk_limit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="text" class="form-control" name="alert_disk_limit" id="alert_disk_limit" size="30" value="'.POSTval('alert_disk_limit', $info['alert_disk_limit']).'" />
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
';
echo '<br><br><center>
<input type="submit" name="editsettings" value="'.$l['saveconfig'].'" class="go_btn"/>
</center><br><br>

</form>
';
}
echo'
</div>';
softfooter();


}

?>